﻿using System;
using System.IO;

/// <summary>
/// Логирование приложения
/// </summary>
public static class Logger
{
    /// <summary>
    /// Блокиратор лога для многопоточности
    /// </summary>
    static object Locker = new object();

    /// <summary>
    /// Добавить информацию в лог
    /// </summary>
    /// <param name="msg">Текст сообщения</param>
    /// <param name="who">Чье сообщение</param>
    public static void ToLog(string msg, string who = "Сервер")
    {
        lock (Locker)
        {
            var writer = new StreamWriter(@"log.txt", true, System.Text.Encoding.Default);
            writer.Write(string.Format("{0}{1} - [{2}]> {3}", Environment.NewLine, DateTime.Now.ToLongTimeString(), who, msg));
            writer.Close();

        }
    }
}